<div class="d-flex justify-content-center">
  <div class="col-8">
    @if (kendaraan) {
      <div>
        <h2 data-cy="kendaraanDetailsHeading"><span>Kendaraan</span></h2>

        <hr />

        <jhi-alert-error></jhi-alert-error>

        <jhi-alert></jhi-alert>

        <dl class="row-md jh-entity-details">
          <dt><span>ID</span></dt>
          <dd>
            <span>{{ kendaraan.id }}</span>
          </dd>
          <dt><span>Kondisi</span></dt>
          <dd>
            <span>{{ kendaraan.kondisi }}</span>
          </dd>
          <dt><span>Roda</span></dt>
          <dd>
            <span>{{ kendaraan.roda }}</span>
          </dd>
          <dt><span>Merk</span></dt>
          <dd>
            <span>{{ kendaraan.merk }}</span>
          </dd>
          <dt><span>Tipe</span></dt>
          <dd>
            <span>{{ kendaraan.tipe }}</span>
          </dd>
          <dt><span>Warna</span></dt>
          <dd>
            <span>{{ kendaraan.warna }}</span>
          </dd>
          <dt><span>Tahun Pembuatan</span></dt>
          <dd>
            <span>{{ kendaraan.tahunPembuatan }}</span>
          </dd>
          <dt><span>No Rangka</span></dt>
          <dd>
            <span>{{ kendaraan.noRangka }}</span>
          </dd>
          <dt><span>No Mesin</span></dt>
          <dd>
            <span>{{ kendaraan.noMesin }}</span>
          </dd>
          <dt><span>No Bpkb</span></dt>
          <dd>
            <span>{{ kendaraan.noBpkb }}</span>
          </dd>
          <dt><span>Nilai Objek Jaminan</span></dt>
          <dd>
            <span>{{ kendaraan.nilaiObjekJaminan }}</span>
          </dd>
          <dt><span>Ppk</span></dt>
          <dd>
            @if (kendaraan.ppk) {
              <div>
                <a [routerLink]="['/ppk', kendaraan.ppk.id, 'view']">{{ kendaraan.ppk.id }}</a>
              </div>
            }
          </dd>
        </dl>

        <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
        </button>

        <button type="button" [routerLink]="['/kendaraan', kendaraan.id, 'edit']" class="btn btn-primary">
          <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
        </button>
      </div>
    }
  </div>
</div>
